Package org.drinkless.tdlib

# Class TdApi.UpdateActiveLiveLocationMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateActiveLiveLocationMessages

Enclosing class:
  `TdApi`

public static class TdApi.UpdateActiveLiveLocationMessages extends TdApi.Update
The list of messages with active live location that need to be updated by the application has changed. The list is persistent across application restarts only if the message database is used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Message[]`
  `messages`
  The list of messages with active live locations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateActiveLiveLocationMessages()`
  The list of messages with active live location that need to be updated by the application has changed.
  `UpdateActiveLiveLocationMessages(TdApi.Message[] messages)`
  The list of messages with active live location that need to be updated by the application has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messages

    public TdApi.Message[] messages
    The list of messages with active live locations.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateActiveLiveLocationMessages

    public UpdateActiveLiveLocationMessages()
    The list of messages with active live location that need to be updated by the application has changed. The list is persistent across application restarts only if the message database is used.

  - ### UpdateActiveLiveLocationMessages

    public UpdateActiveLiveLocationMessages(TdApi.Message[] messages)
    The list of messages with active live location that need to be updated by the application has changed. The list is persistent across application restarts only if the message database is used.
    Parameters:
      `messages` - The list of messages with active live locations.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR